<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Error/Result.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_d508a0eab6b76134c567d58373fd733b.html">Error</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">Result.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_result_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_error_2_result_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_error_2_result_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_error_2_result_8hdep">
<area shape="rect" id="node2" href="_success_result_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Error/SuccessResult.h" alt="" coords="3031,119,3212,184"/>
<area shape="rect" id="node3" href="_equalizer_configuration_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerConfigurationInterface.h" alt="" coords="1115,345,1376,411"/>
<area shape="rect" id="node16" href="_equalizer_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerController.h" alt="" coords="2387,465,2611,531"/>
<area shape="rect" id="node20" href="_equalizer_controller_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/EqualizerControllerTest.cpp" alt="" coords="1670,592,1883,644"/>
<area shape="rect" id="node27" href="_equalizer_types_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerTypes.h" alt="" coords="3001,232,3242,297"/>
<area shape="rect" id="node38" href="_equalizer_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="3457,345,3698,411"/>
<area shape="rect" id="node43" href="_misc_d_b_equalizer_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/MiscDBEqualizerStorage.h" alt="" coords="4336,465,4560,531"/>
<area shape="rect" id="node49" href="_equalizer_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerUtils.h" alt="" coords="4351,345,4575,411"/>
<area shape="rect" id="node4" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="2353,699,2581,764"/>
<area shape="rect" id="node13" href="_equalizer_runtime_setup_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/EqualizerRuntimeSetup.h" alt="" coords="2635,465,2862,531"/>
<area shape="rect" id="node15" href="_mock_equalizer_configuration_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerConfigurationInterface.h" alt="" coords="865,465,1157,531"/>
<area shape="rect" id="node21" href="_in_memory_equalizer_configuration_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/InMemoryEqualizerConfiguration.h" alt="" coords="560,465,790,531"/>
<area shape="rect" id="node22" href="_s_d_k_config_equalizer_configuration_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/SDKConfigEqualizerConfiguration.h" alt="" coords="348,585,585,651"/>
<area shape="rect" id="node5" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="2107,812,2336,864"/>
<area shape="rect" id="node6" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="2478,912,2701,964"/>
<area shape="rect" id="node11" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="2359,812,2574,864"/>
<area shape="rect" id="node7" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="2482,1012,2700,1064"/>
<area shape="rect" id="node10" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="2252,1012,2458,1064"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="2481,1119,2700,1171"/>
<area shape="rect" id="node9" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="2002,1225,2282,1264"/>
<area shape="rect" id="node12" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="2178,919,2454,957"/>
<area shape="rect" id="node14" href="_equalizer_runtime_setup_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/EqualizerRuntime\lSetup.cpp" alt="" coords="2470,585,2701,651"/>
<area shape="rect" id="node17" href="_equalizer_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/include/Equalizer\l/EqualizerCapabilityAgent.h" alt="" coords="2777,585,2962,651"/>
<area shape="rect" id="node19" href="_equalizer_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerController.cpp" alt="" coords="2141,592,2345,644"/>
<area shape="rect" id="node18" href="_equalizer_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/src/EqualizerCapability\lAgent.cpp" alt="" coords="2776,699,2996,764"/>
<area shape="rect" id="node25" href="_in_memory_equalizer_configuration_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/InMemoryEqualizerConfiguration.cpp" alt="" coords="669,592,934,644"/>
<area shape="rect" id="node26" href="_in_memory_equalizer_configuration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/InMemoryEqualizerConfiguration\lTest.cpp" alt="" coords="958,585,1202,651"/>
<area shape="rect" id="node23" href="_s_d_k_config_equalizer_configuration_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/SDKConfigEqualizerConfiguration.cpp" alt="" coords="331,705,603,757"/>
<area shape="rect" id="node24" href="_s_d_k_config_equalizer_configuration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/SDKConfigEqualizerConfiguration\lTest.cpp" alt="" coords="5,699,256,764"/>
<area shape="rect" id="node28" href="_equalizer_controller_listener_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListenerInterface.h" alt="" coords="2501,345,2788,411"/>
<area shape="rect" id="node30" href="_equalizer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="2236,345,2476,411"/>
<area shape="rect" id="node35" href="_equalizer_mode_controller_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerModeControllerInterface.h" alt="" coords="2812,345,3085,411"/>
<area shape="rect" id="node45" href="_equalizer_band_mapper_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerBandMapperInterface.h" alt="" coords="3159,345,3383,411"/>
<area shape="rect" id="node46" href="_equalizer_linear_band_mapper_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerLinearBandMapper.h" alt="" coords="3760,465,3984,531"/>
<area shape="rect" id="node48" href="_equalizer_linear_band_mapper_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/EqualizerLinearBandMapperTest.cpp" alt="" coords="3108,592,3377,644"/>
<area shape="rect" id="node29" href="_mock_equalizer_controller_listener_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerControllerListener\lInterface.h" alt="" coords="1779,459,2035,537"/>
<area shape="rect" id="node31" href="_mock_equalizer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerInterface.h" alt="" coords="1536,465,1755,531"/>
<area shape="rect" id="node32" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="3139,465,3402,531"/>
<area shape="rect" id="node34" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="1283,465,1512,531"/>
<area shape="rect" id="node33" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="3438,592,3701,644"/>
<area shape="rect" id="node36" href="_mock_equalizer_mode_controller_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerModeControllerInterface.h" alt="" coords="2059,465,2363,531"/>
<area shape="rect" id="node37" href="_sample_equalizer_mode_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleEqualizerMode\lController.h" alt="" coords="2830,1112,3061,1177"/>
<area shape="rect" id="node39" href="_equalizer_storage_interface_test_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterfaceTest.h" alt="" coords="4059,465,4312,531"/>
<area shape="rect" id="node42" href="_mock_equalizer_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerStorageInterface.h" alt="" coords="3426,465,3686,531"/>
<area shape="rect" id="node40" href="_equalizer_storage_interface_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/src/EqualizerStorageInterface\lTest.cpp" alt="" coords="4059,585,4285,651"/>
<area shape="rect" id="node41" href="_misc_d_b_equalizer_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/MiscDBEqualizerStorageTest.cpp" alt="" coords="4309,592,4558,644"/>
<area shape="rect" id="node44" href="_misc_d_b_equalizer_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/MiscDBEqualizerStorage.cpp" alt="" coords="4673,592,4893,644"/>
<area shape="rect" id="node47" href="_equalizer_linear_band_mapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerLinearBandMapper.cpp" alt="" coords="3744,592,3984,644"/>
<area shape="rect" id="node50" href="_equalizer_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerUtils.cpp" alt="" coords="4585,472,4789,524"/>
</map>
</div>
</div>
<p><a href="_result_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1error"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1error.html">alexaClientSDK::avsCommon::utils::error</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
